| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bstar.cpp File Reference

Examines STAR format files. More...

`#include "rwstar.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Examines STAR format files.

Author
  Bernard Heymann

Date
  Created: 20010409
  Modified: 20190819

Definition in file bstar.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 43 of file bstar.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bstar [options] input.star [input.star]",
"----------------------------------------------",
"Examines and modifies STAR format files.",
" ",
"Actions:",
"-header 85 List all the header lines limited to the indicated length.",
"-split 3 Split the data blocks into individual files, inserting digits before the extension.",
"-list time_unit List all items with this STAR tag.",
"-delete resolution Delete all items with this STAR tag.",
"-blockdelete symmetry Delete all data blocks containing this STAR tag.",
"-integerscale select,1,3 Scale and shift all integer items with this STAR tag.",
"-floatscale psi,1.5,-5.1 Scale and shift all floating point items with this STAR tag.",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-linelength 120 Output line length (default 100).",
" ",
"Output:",
"-output file.star Output STAR format file.",
" ",
NULL
}

Definition at line 18 of file bstar.cpp.

## ◆ verbose

int verbose